Subject: bug#33341: 27.0.50; Undo log merging and change groups

From: Stefan Monnier <[email-masked]>
Date: Thu, 26 Nov 2020 15:55:42 -0500

> Adding an explicit `undo-boundary' call before preparing the change
> group fixes the problem for me.  Should `prepare-change-group' do
> something like that implicitly?

Not if it should do it, but at least it should work correctly if it's
not done already.
Could you check why it breaks in the absence of an undo-boundary?

        Stefan